/**************************************************************************/
/* GF72 ( 登録ボタン状態テーブル )                                        */
/*                                                                        */
/* Created : 2012/01/10 14:55:47                                          */
/**************************************************************************/
CREATE TABLE GF72 (
   SYSTEM_ID  VARCHAR(10)                 NOT NULL      /* 10  システムID   */
 , ADDRESS    VARCHAR(256)                              /* 20  アドレス     */
 , PRE_FIX    VARCHAR(10)                 NOT NULL      /* 30  名前空間     */
 , FILENAME   VARCHAR(60)                               /* 40  ファイル名   */
 , FILEPATH   VARCHAR(256)                              /* 50  ファイルパス */
 , MODIFIED   VARCHAR(14)                               /* 60  最終更新日   */
 , TAGNAME    VARCHAR(30)                               /* 70  タグ名称     */
 , TO_GAMENID VARCHAR(30)                               /* 80  先画面ID     */
 , HREF       VARCHAR(256)                              /* 90  リンク先URL  */
 , TARGET     VARCHAR(10)                               /* 100 ターゲット   */
 , P_KEYS     VARCHAR(500)                              /* 110 引数キー     */
 , P_VALS     VARCHAR(500)                              /* 120 引数値       */
 , COMMAND    VARCHAR(30)                               /* 130 コマンド     */
 , LBLCD      VARCHAR(60)                               /* 140 ラベルコード */
 , MSGCD      VARCHAR(20)                               /* 150 メッセージID */
 , ONCLICK    VARCHAR(200)                              /* 160 イベント     */
 , ROLES      VARCHAR(500)                              /* 170 ロールズ     */
 , FGOMIT     VARCHAR(1)      DEFAULT '0' NOT NULL      /* 180 除外フラグ   */
 , UNIQ       BIGINT                      NOT NULL      /* 190 ユニークキー */
 , FGJ        VARCHAR(1)      DEFAULT '1' NOT NULL      /* 200 状態フラグ   */
 , DYSET      VARCHAR(14)                               /* 210 登録日時     */
 , PGSET      VARCHAR(10)                               /* 220 作成PG       */
 , PGPSET     VARCHAR(10)                               /* 230 作成親PG     */
 , USRSET     VARCHAR(10)                               /* 240 作成社員     */
 , DYUPD      VARCHAR(14)                               /* 250 更新日時     */
 , PGUPD      VARCHAR(10)                               /* 260 更新PG       */
 , PGPUPD     VARCHAR(10)                               /* 270 更新親PG     */
 , USRUPD     VARCHAR(10)                               /* 280 更新者       */
);

CREATE SEQUENCE GF72S00 ;


CREATE TRIGGER GF72T00 FOR GF72
  BEFORE INSERT 
  AS BEGIN 
    NEW.UNIQ = GEN_ID( GF72S00,1 );
  END; 


